Add support for Apple Silicon Macs.
https://github.com/debrouxl/tilibs/commit/ef41c51363b11521460f33e8c332db7b0a9ca085
--- configure.ac.orig	2016-03-23 06:38:40.000000000 -0500
+++ configure.ac	2023-02-26 22:30:29.000000000 -0600
@@ -140,6 +140,7 @@
 case "$host" in
   i[[3456]]86-*-*bsd*)   ARCH="-D__BSD__ -D__I386__" ;;
   *-*-*bsd*)             ARCH="-D__BSD__" ;;
+  aarch64-apple-darwin*) ARCH="-D__MACOSX__" ;;
   aarch64-*-linux-*)     ARCH="-D__LINUX__" ;;
   alpha*-*-linux-*)      ARCH="-D__ALPHA__ -D__LINUX__" ;;
   alpha*-*-*-*)          ARCH="-D__ALPHA__ -D__LINUX__" ;;
@@ -166,7 +167,11 @@
   sh*-*-linux-*)         ARCH="-D__LINUX__" ;;
   sparc*-*-linux-*)      ARCH="-D__SPARC__ -D__LINUX__" ;;
   sparc*-sun-solaris*)   ARCH="-D__SPARC__ -D__SOL__" ;;
+  *)                     ARCH="ERROR" ;;
 esac
+if test "x$ARCH" = xERROR; then
+   AC_ERROR([Unhandled target triple, please open a bug report mentioning "$host"])
+fi
 CFLAGS="$CFLAGS $ARCH"
 
 # Ensure MSVC-compatible struct packing convention is used when
